complexType "PublicExecutionReportRetracted"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 attributes, 15 elements
Defined: | globally in fpml-transparency-processes-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, (parentCorrelationId?, correlationId[0..2], sequenceNumber?)?, onBehalfOf[0..4]?, ( | ((originatingEvent, trade) | increase? | (terminatingEvent?, termination?) | novation? | withdrawal?)? | tradeIdentifier?), (party*, account*)?
</...>

Content Model Elements (15):

  account, correlationId, header (defined in RequestMessage complexType), increase, novation, onBehalfOf (defined in OnBehalfOf.model group), originatingEvent (defined in Events.model group), parentCorrelationId, | party, sequenceNumber (defined in Sequence.model group), terminatingEvent, termination, trade (defined in Events.model group), tradeIdentifier (in publicExecutionReportRetracted), withdrawal

All Direct / Indirect Based Elements (1):

  publicExecutionReportRetracted

Known Usage Locations

- As direct type of elements (1):
  publicExecutionReportRetracted

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) PublicExecutionReportRetracted

XML Source (see within schema source)

<xsd:complexType name="PublicExecutionReportRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:choice> <xsd:group minOccurs="0" ref="Events.model"/> <xsd:element minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> </xsd:choice> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/15)
tradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.